package com.example.tasks.navigation

sealed class Screen(val route:String) {
    object Start : Screen("Start")
    object Entrance: Screen("entrance")
    object TasksStaff: Screen("tasks_staff")
    object WorkingStaff: Screen("working_staff")
    object WorkingChief: Screen("working_chief")
    object TasksChief:Screen("tasks_chief")
    object HistoryStaff:Screen("history_staff")
    object HistoryChief:Screen("history_chief")
    object AppNavigationStaff : Screen("app_navigation_staff")
    object AppNavigationChief: Screen("app_navigation_chief")
    object AddTask : Screen("add_task")


    fun withArg(vararg args: String): String {
        return buildString {
            append(route)
            args.forEach { arg ->
                append("/$arg")
            }
        }
    }
}